/**
 * IconMenu 部件模型
 *
 * @export
 * @class IconMenuModel
 */
export default class IconMenuModel {

    /**
     * 菜单项集合
     *
     * @public
     * @type {any[]}
     * @memberof IconMenuModel
     */
    public items: any[] = [
    ];

	/**
	 * 应用功能集合
	 *
	 * @public
	 * @type {any[]}
	 * @memberof IconMenuModel
	 */
	public funcs: any[] = [
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof IconMenuModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof IconMenuModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}